Index: lemon/cost_scaling.h
===================================================================
--- lemon/cost_scaling.h	(revision 2588)
+++ lemon/cost_scaling.h	(revision 2620)
@@ -65,5 +65,4 @@
   ///
   /// \author Peter Kovacs
-
   template < typename Graph,
              typename LowerMap = typename Graph::template EdgeMap<int>,
@@ -103,6 +102,5 @@
     /// \brief Map adaptor class for handling residual edge costs.
     ///
-    /// \ref ResidualCostMap is a map adaptor class for handling
-    /// residual edge costs.
+    /// Map adaptor class for handling residual edge costs.
     template <typename Map>
     class ResidualCostMap : public MapBase<ResEdge, typename Map::Value>
@@ -127,6 +125,5 @@
     /// \brief Map adaptor class for handling reduced edge costs.
     ///
-    /// \ref ReducedCostMap is a map adaptor class for handling reduced
-    /// edge costs.
+    /// Map adaptor class for handling reduced edge costs.
     class ReducedCostMap : public MapBase<Edge, LCost>
     {
@@ -327,7 +324,7 @@
     }
 
-    /// \brief Sets the flow map.
-    ///
-    /// Sets the flow map.
+    /// \brief Set the flow map.
+    ///
+    /// Set the flow map.
     ///
     /// \return \c (*this)
@@ -341,7 +338,7 @@
     }
 
-    /// \brief Sets the potential map.
-    ///
-    /// Sets the potential map.
+    /// \brief Set the potential map.
+    ///
+    /// Set the potential map.
     ///
     /// \return \c (*this)
@@ -356,12 +353,10 @@
 
     /// \name Execution control
-    /// The only way to execute the algorithm is to call the run()
-    /// function.
 
     /// @{
 
-    /// \brief Runs the algorithm.
-    ///
-    /// Runs the algorithm.
+    /// \brief Run the algorithm.
+    ///
+    /// Run the algorithm.
     ///
     /// \return \c true if a feasible flow can be found.
@@ -374,13 +369,14 @@
     /// \name Query Functions
     /// The result of the algorithm can be obtained using these
-    /// functions.
-    /// \n run() must be called before using them.
+    /// functions.\n
+    /// \ref lemon::CostScaling::run() "run()" must be called before
+    /// using them.
 
     /// @{
 
-    /// \brief Returns a const reference to the edge map storing the
+    /// \brief Return a const reference to the edge map storing the
     /// found flow.
     ///
-    /// Returns a const reference to the edge map storing the found flow.
+    /// Return a const reference to the edge map storing the found flow.
     ///
     /// \pre \ref run() must be called before using this function.
@@ -389,8 +385,8 @@
     }
 
-    /// \brief Returns a const reference to the node map storing the
+    /// \brief Return a const reference to the node map storing the
     /// found potentials (the dual solution).
     ///
-    /// Returns a const reference to the node map storing the found
+    /// Return a const reference to the node map storing the found
     /// potentials (the dual solution).
     ///
@@ -400,7 +396,7 @@
     }
 
-    /// \brief Returns the flow on the given edge.
-    ///
-    /// Returns the flow on the given edge.
+    /// \brief Return the flow on the given edge.
+    ///
+    /// Return the flow on the given edge.
     ///
     /// \pre \ref run() must be called before using this function.
@@ -409,7 +405,7 @@
     }
 
-    /// \brief Returns the potential of the given node.
-    ///
-    /// Returns the potential of the given node.
+    /// \brief Return the potential of the given node.
+    ///
+    /// Return the potential of the given node.
     ///
     /// \pre \ref run() must be called before using this function.
@@ -418,7 +414,7 @@
     }
 
-    /// \brief Returns the total cost of the found flow.
-    ///
-    /// Returns the total cost of the found flow. The complexity of the
+    /// \brief Return the total cost of the found flow.
+    ///
+    /// Return the total cost of the found flow. The complexity of the
     /// function is \f$ O(e) \f$.
     ///
@@ -435,5 +431,5 @@
   private:
 
-    /// Initializes the algorithm.
+    /// Initialize the algorithm.
     bool init() {
       if (!_valid_supply) return false;
@@ -470,5 +466,5 @@
 
 
-    /// Executes the algorithm.
+    /// Execute the algorithm.
     bool start() {
       std::deque<Node> active_nodes;
